SDL_SetHint(3)

NAME
SDL_SetHint - Set a hint with normal priority.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_SetHint(const char *name,
                     const char *value);

DESCRIPTION
Hints will not be set if there is an existing override hint or environment variable that takes precedence. You can use SDL_SetHintWithPriority () to set the hint with override priority instead.

FUNCTION PARAMETERS

name
    the hint to set

value
    the value of the hint variable

RETURN VALUE
Returns SDL_TRUE
 if the hint was set, SDL_FALSE otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetHint(3), SDL_ResetHint(3), SDL_SetHintWithPriority(3)